class Point
	attr_accessor "x", "y"

	def initialize(x=1, y=1)
		@x = x
		@y = y
	end

	def +(other)
		cp = Point.new
		cp.x = @x + other.x
		cp.y = @y + other.y
		return cp
	end

	include Comparable
	# def <=>(other)
	# 	if @x < other.x then 
	# 		return -1
	# 	elsif @x > other.x
	# 		return 1
	# 	elsif @y < other.y
	# 		return -1
	# 	elsif @y > other.y
	# 		return 1
	# 	else
	# 		return 0
	# 	end
	# end

	def to_s
		return "(" + @x.to_s + "," + @y.to_s + ")"
	end
end


class Point3D < Point
	def initialize x,y,z
		super(x,y)
		@z = z
	end

	def to_s
		return "(#@x, #@y, #@z)"
	end
end

p = Point3D.new(1,2,3)
puts p.instance_of? Point3D
puts p.instance_of? Point
puts p.is_a? Point

puts p
