class WorldGreeting
	def greet
		puts "#{greeting()}, #{who()}"  # abstract class unless these are defined
	end

	def greeting
		return "Hello"
	end

	def who
		return "world"
	end
end

wg = WorldGreeting.new
wg.greet

class SpanishWorldGreeting < WorldGreeting
	def greeting
		return "Hola and " + super()
	end
end

swg = SpanishWorldGreeting.new
swg.greet
