class Set			# Capital letter

  def initialize	# called via .new method
    @s = { }
  end

  def insert(x)
    @s[x] = true
  end

  def member?(x)	# Style!
    if @s[x] != nil then 
      return true
    else
      return false
    end
  end

  def intersect(s)
	intersection = Set.new
	@s.each { |element,tf|
      if s.member? element then
        intersection.insert element
      end
	}
	intersection
  end

  #def intersect!(s)
  # You'll want to define this first and have
  # intersect() call it
  #end
end

s = Set.new
puts s.insert "a"
puts s.insert "b"
puts s.member? "a"
puts s.member? "c"

vowels = Set.new
["a", "e", "i", "o", "u"].each { |v| vowels.insert v }

intersection = s.intersect vowels
('a'..'g').each { |c|
	puts "#{c}: #{intersection.member? c}"
}

#s.inspect
#s.intersect!(vowels)
#s.inspect
